Project

General

Profile

Bug #9864

Bug #9862: irssi: Use-after-free when hidden lines were expired from the scroll (CVE-2019-5882)

[3.8] irssi: Use-after-free when hidden lines were expired from the scroll (CVE-2019-5882)

Added by Alicha CH 3 months ago. Updated 3 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Security
Target version:
Start date:
01/17/2019
Due date:
01/17/2019
% Done:

100%

Estimated time:
Affected versions:
Security IDs:
CVE-2019-5882

Description

Irssi 1.1.x before 1.1.2 has a use after free when hidden lines are expired
from the scroll buffer.

Fixed In Version:

Irssi 1.1.2

References:

https://irssi.org/security/irssi_sa_2019_01.txt
https://www.openwall.com/lists/oss-security/2019/01/10/1

Associated revisions

Revision 43cda781 (diff)
Added by Natanael Copa 3 months ago

main/irssi: security upgrade to 1.1.2 (CVE-2019-5882)

fixes #9864

History

#1 Updated by Natanael Copa 3 months ago

  • Status changed from New to Resolved
  • % Done changed from 0 to 100

#2 Updated by Alicha CH 3 months ago

  • Project changed from Alpine Security to Alpine Linux
  • Category set to Security
  • Status changed from Resolved to Closed

Also available in: Atom PDF